diff --git a/net/ktnef/pkg-plist b/net/ktnef/pkg-plist
index fb4e90c7f79c..cb67fff41920 100644
--- a/net/ktnef/pkg-plist
+++ b/net/ktnef/pkg-plist
@@ -1,84 +1,85 @@
-include/KPim5/KTNEF/KTNEF/Formatter
-include/KPim5/KTNEF/KTNEF/KTNEFAttach
-include/KPim5/KTNEF/KTNEF/KTNEFDefs
-include/KPim5/KTNEF/KTNEF/KTNEFMessage
-include/KPim5/KTNEF/KTNEF/KTNEFParser
-include/KPim5/KTNEF/KTNEF/KTNEFProperty
-include/KPim5/KTNEF/KTNEF/KTNEFPropertySet
-include/KPim5/KTNEF/KTNEF/KTNEFWriter
-include/KPim5/KTNEF/ktnef/formatter.h
-include/KPim5/KTNEF/ktnef/ktnef_export.h
-include/KPim5/KTNEF/ktnef/ktnefattach.h
-include/KPim5/KTNEF/ktnef/ktnefdefs.h
-include/KPim5/KTNEF/ktnef/ktnefmessage.h
-include/KPim5/KTNEF/ktnef/ktnefparser.h
-include/KPim5/KTNEF/ktnef/ktnefproperty.h
-include/KPim5/KTNEF/ktnef/ktnefpropertyset.h
-include/KPim5/KTNEF/ktnef/ktnefwriter.h
-include/KPim5/KTNEF/ktnef_version.h
-lib/cmake/KPim5Tnef/KPim5TnefConfig.cmake
-lib/cmake/KPim5Tnef/KPim5TnefConfigVersion.cmake
-lib/cmake/KPim5Tnef/KPim5TnefTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5Tnef/KPim5TnefTargets.cmake
-lib/libKPim5Tnef.so
-lib/libKPim5Tnef.so.5
-lib/libKPim5Tnef.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KTNef.pri
-share/locale/ar/LC_MESSAGES/libktnef5.mo
-share/locale/be/LC_MESSAGES/libktnef5.mo
-share/locale/bs/LC_MESSAGES/libktnef5.mo
-share/locale/ca/LC_MESSAGES/libktnef5.mo
-share/locale/ca@valencia/LC_MESSAGES/libktnef5.mo
-share/locale/cs/LC_MESSAGES/libktnef5.mo
-share/locale/da/LC_MESSAGES/libktnef5.mo
-share/locale/de/LC_MESSAGES/libktnef5.mo
-share/locale/el/LC_MESSAGES/libktnef5.mo
-share/locale/en_GB/LC_MESSAGES/libktnef5.mo
-share/locale/eo/LC_MESSAGES/libktnef5.mo
-share/locale/es/LC_MESSAGES/libktnef5.mo
-share/locale/et/LC_MESSAGES/libktnef5.mo
-share/locale/eu/LC_MESSAGES/libktnef5.mo
-share/locale/fi/LC_MESSAGES/libktnef5.mo
-share/locale/fr/LC_MESSAGES/libktnef5.mo
-share/locale/ga/LC_MESSAGES/libktnef5.mo
-share/locale/gl/LC_MESSAGES/libktnef5.mo
-share/locale/hi/LC_MESSAGES/libktnef5.mo
-share/locale/hne/LC_MESSAGES/libktnef5.mo
-share/locale/hu/LC_MESSAGES/libktnef5.mo
-share/locale/ia/LC_MESSAGES/libktnef5.mo
-share/locale/it/LC_MESSAGES/libktnef5.mo
-share/locale/ja/LC_MESSAGES/libktnef5.mo
-share/locale/ka/LC_MESSAGES/libktnef5.mo
-share/locale/kk/LC_MESSAGES/libktnef5.mo
-share/locale/km/LC_MESSAGES/libktnef5.mo
-share/locale/ko/LC_MESSAGES/libktnef5.mo
-share/locale/lt/LC_MESSAGES/libktnef5.mo
-share/locale/lv/LC_MESSAGES/libktnef5.mo
-share/locale/mai/LC_MESSAGES/libktnef5.mo
-share/locale/mr/LC_MESSAGES/libktnef5.mo
-share/locale/nb/LC_MESSAGES/libktnef5.mo
-share/locale/nds/LC_MESSAGES/libktnef5.mo
-share/locale/nl/LC_MESSAGES/libktnef5.mo
-share/locale/nn/LC_MESSAGES/libktnef5.mo
-share/locale/pa/LC_MESSAGES/libktnef5.mo
-share/locale/pl/LC_MESSAGES/libktnef5.mo
-share/locale/pt/LC_MESSAGES/libktnef5.mo
-share/locale/pt_BR/LC_MESSAGES/libktnef5.mo
-share/locale/ro/LC_MESSAGES/libktnef5.mo
-share/locale/ru/LC_MESSAGES/libktnef5.mo
-share/locale/se/LC_MESSAGES/libktnef5.mo
-share/locale/sk/LC_MESSAGES/libktnef5.mo
-share/locale/sl/LC_MESSAGES/libktnef5.mo
-share/locale/sq/LC_MESSAGES/libktnef5.mo
-share/locale/sr/LC_MESSAGES/libktnef5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libktnef5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libktnef5.mo
-share/locale/sr@latin/LC_MESSAGES/libktnef5.mo
-share/locale/sv/LC_MESSAGES/libktnef5.mo
-share/locale/tr/LC_MESSAGES/libktnef5.mo
-share/locale/ug/LC_MESSAGES/libktnef5.mo
-share/locale/uk/LC_MESSAGES/libktnef5.mo
-share/locale/zh_CN/LC_MESSAGES/libktnef5.mo
-share/locale/zh_TW/LC_MESSAGES/libktnef5.mo
-share/qlogging-categories5/ktnef.categories
-share/qlogging-categories5/ktnef.renamecategories
+include/KPim6/KTNEF/KTNEF/Formatter
+include/KPim6/KTNEF/KTNEF/KTNEFAttach
+include/KPim6/KTNEF/KTNEF/KTNEFDefs
+include/KPim6/KTNEF/KTNEF/KTNEFMessage
+include/KPim6/KTNEF/KTNEF/KTNEFParser
+include/KPim6/KTNEF/KTNEF/KTNEFProperty
+include/KPim6/KTNEF/KTNEF/KTNEFPropertySet
+include/KPim6/KTNEF/KTNEF/KTNEFWriter
+include/KPim6/KTNEF/ktnef/formatter.h
+include/KPim6/KTNEF/ktnef/ktnef_export.h
+include/KPim6/KTNEF/ktnef/ktnefattach.h
+include/KPim6/KTNEF/ktnef/ktnefdefs.h
+include/KPim6/KTNEF/ktnef/ktnefmessage.h
+include/KPim6/KTNEF/ktnef/ktnefparser.h
+include/KPim6/KTNEF/ktnef/ktnefproperty.h
+include/KPim6/KTNEF/ktnef/ktnefpropertyset.h
+include/KPim6/KTNEF/ktnef/ktnefwriter.h
+include/KPim6/KTNEF/ktnef_version.h
+lib/cmake/KPim6Tnef/KPim6TnefConfig.cmake
+lib/cmake/KPim6Tnef/KPim6TnefConfigVersion.cmake
+lib/cmake/KPim6Tnef/KPim6TnefTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6Tnef/KPim6TnefTargets.cmake
+lib/libKPim6Tnef.so
+lib/libKPim6Tnef.so.6
+lib/libKPim6Tnef.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/locale/ar/LC_MESSAGES/libktnef6.mo
+share/locale/ast/LC_MESSAGES/libktnef6.mo
+share/locale/be/LC_MESSAGES/libktnef6.mo
+share/locale/bs/LC_MESSAGES/libktnef6.mo
+share/locale/ca/LC_MESSAGES/libktnef6.mo
+share/locale/ca@valencia/LC_MESSAGES/libktnef6.mo
+share/locale/cs/LC_MESSAGES/libktnef6.mo
+share/locale/da/LC_MESSAGES/libktnef6.mo
+share/locale/de/LC_MESSAGES/libktnef6.mo
+share/locale/el/LC_MESSAGES/libktnef6.mo
+share/locale/en_GB/LC_MESSAGES/libktnef6.mo
+share/locale/eo/LC_MESSAGES/libktnef6.mo
+share/locale/es/LC_MESSAGES/libktnef6.mo
+share/locale/et/LC_MESSAGES/libktnef6.mo
+share/locale/eu/LC_MESSAGES/libktnef6.mo
+share/locale/fi/LC_MESSAGES/libktnef6.mo
+share/locale/fr/LC_MESSAGES/libktnef6.mo
+share/locale/ga/LC_MESSAGES/libktnef6.mo
+share/locale/gl/LC_MESSAGES/libktnef6.mo
+share/locale/he/LC_MESSAGES/libktnef6.mo
+share/locale/hi/LC_MESSAGES/libktnef6.mo
+share/locale/hne/LC_MESSAGES/libktnef6.mo
+share/locale/hu/LC_MESSAGES/libktnef6.mo
+share/locale/ia/LC_MESSAGES/libktnef6.mo
+share/locale/it/LC_MESSAGES/libktnef6.mo
+share/locale/ja/LC_MESSAGES/libktnef6.mo
+share/locale/ka/LC_MESSAGES/libktnef6.mo
+share/locale/kk/LC_MESSAGES/libktnef6.mo
+share/locale/km/LC_MESSAGES/libktnef6.mo
+share/locale/ko/LC_MESSAGES/libktnef6.mo
+share/locale/lt/LC_MESSAGES/libktnef6.mo
+share/locale/lv/LC_MESSAGES/libktnef6.mo
+share/locale/mai/LC_MESSAGES/libktnef6.mo
+share/locale/mr/LC_MESSAGES/libktnef6.mo
+share/locale/nb/LC_MESSAGES/libktnef6.mo
+share/locale/nds/LC_MESSAGES/libktnef6.mo
+share/locale/nl/LC_MESSAGES/libktnef6.mo
+share/locale/nn/LC_MESSAGES/libktnef6.mo
+share/locale/pa/LC_MESSAGES/libktnef6.mo
+share/locale/pl/LC_MESSAGES/libktnef6.mo
+share/locale/pt/LC_MESSAGES/libktnef6.mo
+share/locale/pt_BR/LC_MESSAGES/libktnef6.mo
+share/locale/ro/LC_MESSAGES/libktnef6.mo
+share/locale/ru/LC_MESSAGES/libktnef6.mo
+share/locale/se/LC_MESSAGES/libktnef6.mo
+share/locale/sk/LC_MESSAGES/libktnef6.mo
+share/locale/sl/LC_MESSAGES/libktnef6.mo
+share/locale/sq/LC_MESSAGES/libktnef6.mo
+share/locale/sr/LC_MESSAGES/libktnef6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libktnef6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libktnef6.mo
+share/locale/sr@latin/LC_MESSAGES/libktnef6.mo
+share/locale/sv/LC_MESSAGES/libktnef6.mo
+share/locale/tr/LC_MESSAGES/libktnef6.mo
+share/locale/ug/LC_MESSAGES/libktnef6.mo
+share/locale/uk/LC_MESSAGES/libktnef6.mo
+share/locale/zh_CN/LC_MESSAGES/libktnef6.mo
+share/locale/zh_TW/LC_MESSAGES/libktnef6.mo
+share/qlogging-categories6/ktnef.categories
+share/qlogging-categories6/ktnef.renamecategories
diff --git a/net/libgravatar/Makefile b/net/libgravatar/Makefile
index fbf0546ecfb6..ff764019fe02 100644
--- a/net/libgravatar/Makefile
+++ b/net/libgravatar/Makefile
@@ -8,14 +8,13 @@ WWW=		https://github.com/KDE/libgravatar
 
 LICENSE=	LGPL21
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs config configwidgets coreaddons i18n kio \
-		service sonnet textwidgets widgetsaddons \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs config configwidgets coreaddons i18n kio service \
+		sonnet textwidgets widgetsaddons \
 		ecm:build
 # pim components
 USE_KDE+=	pimcommon
-USE_QT=		concurrent core dbus gui network testlib widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 OPTIONS_DEFINE=	DOCS
diff --git a/net/libgravatar/distinfo b/net/libgravatar/distinfo
index d3bb478145ee..aa3de9aa6982 100644
--- a/net/libgravatar/distinfo
+++ b/net/libgravatar/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889463
-SHA256 (KDE/release-service/23.08.5/libgravatar-23.08.5.tar.xz) = ac25fa24444642d3c227e2a272d6f59b637896a051381c7344e0672aac5cd697
-SIZE (KDE/release-service/23.08.5/libgravatar-23.08.5.tar.xz) = 36184
+TIMESTAMP = 1734460330
+SHA256 (KDE/release-service/24.12.0/libgravatar-24.12.0.tar.xz) = ed50ed375e435b23f90e8a9d639d6ad55a74df6800559d538cae16ec385a3d6c
+SIZE (KDE/release-service/24.12.0/libgravatar-24.12.0.tar.xz) = 38628
diff --git a/net/libgravatar/pkg-plist b/net/libgravatar/pkg-plist
index 2bb0829b37c3..764ab08d02f1 100644
--- a/net/libgravatar/pkg-plist
+++ b/net/libgravatar/pkg-plist
@@ -1,64 +1,71 @@
-include/KPim5/Gravatar/Gravatar/GravatarCache
-include/KPim5/Gravatar/Gravatar/GravatarConfigureSettingsDialog
-include/KPim5/Gravatar/Gravatar/GravatarConfigureSettingsWidget
-include/KPim5/Gravatar/Gravatar/GravatarDownloadPixmapWidget
-include/KPim5/Gravatar/Gravatar/GravatarResolvUrlJob
-include/KPim5/Gravatar/gravatar/gravatar_export.h
-include/KPim5/Gravatar/gravatar/gravatarcache.h
-include/KPim5/Gravatar/gravatar/gravatarconfiguresettingsdialog.h
-include/KPim5/Gravatar/gravatar/gravatarconfiguresettingswidget.h
-include/KPim5/Gravatar/gravatar/gravatardownloadpixmapwidget.h
-include/KPim5/Gravatar/gravatar/gravatarresolvurljob.h
-include/KPim5/Gravatar/gravatar/gravatarsettings.h
-include/KPim5/Gravatar/gravatar_version.h
-lib/cmake/KPim5Gravatar/KPim5GravatarConfig.cmake
-lib/cmake/KPim5Gravatar/KPim5GravatarConfigVersion.cmake
-lib/cmake/KPim5Gravatar/KPim5GravatarTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5Gravatar/KPim5GravatarTargets.cmake
-lib/libKPim5Gravatar.so
-lib/libKPim5Gravatar.so.5
-lib/libKPim5Gravatar.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_Gravatar.pri
-share/locale/ar/LC_MESSAGES/libgravatar.mo
-share/locale/ca/LC_MESSAGES/libgravatar.mo
-share/locale/ca@valencia/LC_MESSAGES/libgravatar.mo
-share/locale/cs/LC_MESSAGES/libgravatar.mo
-share/locale/da/LC_MESSAGES/libgravatar.mo
-share/locale/de/LC_MESSAGES/libgravatar.mo
-share/locale/el/LC_MESSAGES/libgravatar.mo
-share/locale/en_GB/LC_MESSAGES/libgravatar.mo
-share/locale/es/LC_MESSAGES/libgravatar.mo
-share/locale/et/LC_MESSAGES/libgravatar.mo
-share/locale/eu/LC_MESSAGES/libgravatar.mo
-share/locale/fi/LC_MESSAGES/libgravatar.mo
-share/locale/fr/LC_MESSAGES/libgravatar.mo
-share/locale/gl/LC_MESSAGES/libgravatar.mo
-share/locale/hi/LC_MESSAGES/libgravatar.mo
-share/locale/hu/LC_MESSAGES/libgravatar.mo
-share/locale/ia/LC_MESSAGES/libgravatar.mo
-share/locale/is/LC_MESSAGES/libgravatar.mo
-share/locale/it/LC_MESSAGES/libgravatar.mo
-share/locale/ja/LC_MESSAGES/libgravatar.mo
-share/locale/ka/LC_MESSAGES/libgravatar.mo
-share/locale/ko/LC_MESSAGES/libgravatar.mo
-share/locale/lt/LC_MESSAGES/libgravatar.mo
-share/locale/nl/LC_MESSAGES/libgravatar.mo
-share/locale/nn/LC_MESSAGES/libgravatar.mo
-share/locale/pl/LC_MESSAGES/libgravatar.mo
-share/locale/pt/LC_MESSAGES/libgravatar.mo
-share/locale/pt_BR/LC_MESSAGES/libgravatar.mo
-share/locale/ro/LC_MESSAGES/libgravatar.mo
-share/locale/ru/LC_MESSAGES/libgravatar.mo
-share/locale/sk/LC_MESSAGES/libgravatar.mo
-share/locale/sl/LC_MESSAGES/libgravatar.mo
-share/locale/sr/LC_MESSAGES/libgravatar.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libgravatar.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libgravatar.mo
-share/locale/sr@latin/LC_MESSAGES/libgravatar.mo
-share/locale/sv/LC_MESSAGES/libgravatar.mo
-share/locale/tr/LC_MESSAGES/libgravatar.mo
-share/locale/uk/LC_MESSAGES/libgravatar.mo
-share/locale/zh_CN/LC_MESSAGES/libgravatar.mo
-share/locale/zh_TW/LC_MESSAGES/libgravatar.mo
-share/qlogging-categories5/libgravatar.categories
-share/qlogging-categories5/libgravatar.renamecategories
+include/KPim6/Gravatar/Gravatar/GravatarCache
+include/KPim6/Gravatar/Gravatar/GravatarConfigureSettingsDialog
+include/KPim6/Gravatar/Gravatar/GravatarConfigureSettingsWidget
+include/KPim6/Gravatar/Gravatar/GravatarDownloadPixmapWidget
+include/KPim6/Gravatar/Gravatar/GravatarResolvUrlJob
+include/KPim6/Gravatar/gravatar/gravatar_export.h
+include/KPim6/Gravatar/gravatar/gravatarcache.h
+include/KPim6/Gravatar/gravatar/gravatarconfiguresettingsdialog.h
+include/KPim6/Gravatar/gravatar/gravatarconfiguresettingswidget.h
+include/KPim6/Gravatar/gravatar/gravatardownloadpixmapwidget.h
+include/KPim6/Gravatar/gravatar/gravatarresolvurljob.h
+include/KPim6/Gravatar/gravatar/gravatarsettings.h
+include/KPim6/Gravatar/gravatar_version.h
+lib/cmake/KPim6Gravatar/KPim6GravatarConfig.cmake
+lib/cmake/KPim6Gravatar/KPim6GravatarConfigVersion.cmake
+lib/cmake/KPim6Gravatar/KPim6GravatarTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6Gravatar/KPim6GravatarTargets.cmake
+lib/libKPim6Gravatar.so
+lib/libKPim6Gravatar.so.6
+lib/libKPim6Gravatar.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/locale/ar/LC_MESSAGES/libgravatar6.mo
+share/locale/ast/LC_MESSAGES/libgravatar6.mo
+share/locale/bg/LC_MESSAGES/libgravatar6.mo
+share/locale/ca/LC_MESSAGES/libgravatar6.mo
+share/locale/ca@valencia/LC_MESSAGES/libgravatar6.mo
+share/locale/cs/LC_MESSAGES/libgravatar6.mo
+share/locale/da/LC_MESSAGES/libgravatar6.mo
+share/locale/de/LC_MESSAGES/libgravatar6.mo
+share/locale/el/LC_MESSAGES/libgravatar6.mo
+share/locale/en_GB/LC_MESSAGES/libgravatar6.mo
+share/locale/eo/LC_MESSAGES/libgravatar6.mo
+share/locale/es/LC_MESSAGES/libgravatar6.mo
+share/locale/et/LC_MESSAGES/libgravatar6.mo
+share/locale/eu/LC_MESSAGES/libgravatar6.mo
+share/locale/fi/LC_MESSAGES/libgravatar6.mo
+share/locale/fr/LC_MESSAGES/libgravatar6.mo
+share/locale/gl/LC_MESSAGES/libgravatar6.mo
+share/locale/he/LC_MESSAGES/libgravatar6.mo
+share/locale/hi/LC_MESSAGES/libgravatar6.mo
+share/locale/hu/LC_MESSAGES/libgravatar6.mo
+share/locale/ia/LC_MESSAGES/libgravatar6.mo
+share/locale/ie/LC_MESSAGES/libgravatar6.mo
+share/locale/is/LC_MESSAGES/libgravatar6.mo
+share/locale/it/LC_MESSAGES/libgravatar6.mo
+share/locale/ja/LC_MESSAGES/libgravatar6.mo
+share/locale/ka/LC_MESSAGES/libgravatar6.mo
+share/locale/ko/LC_MESSAGES/libgravatar6.mo
+share/locale/lt/LC_MESSAGES/libgravatar6.mo
+share/locale/lv/LC_MESSAGES/libgravatar6.mo
+share/locale/nl/LC_MESSAGES/libgravatar6.mo
+share/locale/nn/LC_MESSAGES/libgravatar6.mo
+share/locale/pl/LC_MESSAGES/libgravatar6.mo
+share/locale/pt/LC_MESSAGES/libgravatar6.mo
+share/locale/pt_BR/LC_MESSAGES/libgravatar6.mo
+share/locale/ro/LC_MESSAGES/libgravatar6.mo
+share/locale/ru/LC_MESSAGES/libgravatar6.mo
+share/locale/sa/LC_MESSAGES/libgravatar6.mo
+share/locale/sk/LC_MESSAGES/libgravatar6.mo
+share/locale/sl/LC_MESSAGES/libgravatar6.mo
+share/locale/sr/LC_MESSAGES/libgravatar6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libgravatar6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libgravatar6.mo
+share/locale/sr@latin/LC_MESSAGES/libgravatar6.mo
+share/locale/sv/LC_MESSAGES/libgravatar6.mo
+share/locale/ta/LC_MESSAGES/libgravatar6.mo
+share/locale/tr/LC_MESSAGES/libgravatar6.mo
+share/locale/uk/LC_MESSAGES/libgravatar6.mo
+share/locale/zh_CN/LC_MESSAGES/libgravatar6.mo
+share/locale/zh_TW/LC_MESSAGES/libgravatar6.mo
+share/qlogging-categories6/libgravatar.categories
+share/qlogging-categories6/libgravatar.renamecategories
diff --git a/net/libkgapi/Makefile b/net/libkgapi/Makefile
index 63a9fb7a9d60..3db0637bcae2 100644
--- a/net/libkgapi/Makefile
+++ b/net/libkgapi/Makefile
@@ -11,22 +11,16 @@ LICENSE=	LGPL21
 LIB_DEPENDS=	libical.so:devel/libical \
 		libsasl2.so:security/cyrus-sasl2
 
-CONFLICTS_BUILD=	kdepim-runtime-18.0[04]* \
-			kdepim-runtime-17.*
-
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
-		coreaddons crash emoticons guiaddons i18n iconthemes init \
-		itemmodels itemviews jobwidgets kdelibs4support kio \
-		notifications parts service textwidgets unitconversion \
-		widgetsaddons windowsystem xmlgui solid sonnet wallet \
+		coreaddons crash guiaddons i18n iconthemes itemmodels \
+		itemviews jobwidgets kio notifications parts service solid \
+		sonnet textwidgets unitconversion wallet widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	calendarcore contacts
-USE_QT=		concurrent core dbus declarative gui location network \
-		printsupport webchannel webengine widgets xml \
-		buildtools:build qmake:build
-
+USE_QT=		base webengine
 USE_LDCONFIG=	yes
 
 OPTIONS_DEFINE=	DOCS
diff --git a/net/libkgapi/distinfo b/net/libkgapi/distinfo
index ea37682b14e7..c77e93dacdf3 100644
--- a/net/libkgapi/distinfo
+++ b/net/libkgapi/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889469
-SHA256 (KDE/release-service/23.08.5/libkgapi-23.08.5.tar.xz) = 10249f32a3a8a26a73e251d0415d42b69827ad354b451f62bdbb01bc6a40d7a3
-SIZE (KDE/release-service/23.08.5/libkgapi-23.08.5.tar.xz) = 335116
+TIMESTAMP = 1734460332
+SHA256 (KDE/release-service/24.12.0/libkgapi-24.12.0.tar.xz) = 3ed3e2370cddbc6af483041ffc5402f1665fae0a42e718c38377924a43d42dd6
+SIZE (KDE/release-service/24.12.0/libkgapi-24.12.0.tar.xz) = 339456
